/*
Program Name: MortgageBox.java
Programmer: Johnny Warwar
Date: 10/22/18
Version 1.0
Morgage calculator using graphical user interface.
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class MortgageBox extends JFrame implements ItemListener
{

  // label attributes
  FlowLayout flow = new FlowLayout();
  JLabel princLabel = new JLabel("Principal Amount: ");
  JComboBox<String> rateTerm = new JComboBox<String>();





  JLabel rateLabel = new JLabel("Rate: ");
  JLabel termLabel = new JLabel("Term: ");
  JTextField far1 = new JTextField(5);
  JTextField far2 = new JTextField(5);
  JTextField far3 = new JTextField(5);

  // labels and buttons
  JLabel mpayment = new JLabel("Mortgage payment amount is: $");
  JLabel result = new JLabel("");
  JButton calc = new JButton("Calculate");
  JButton exit = new JButton("Exit");
  JButton reset = new JButton("Reset");
  JLabel blank1 = new JLabel ("");

  double[] term = {7, 15, 30};
  double[] rate = {5.35, 5.50, 4.50};

  String output;

// mortgage constructor
public MortgageBox()
{
  rateTerm.addItem("7 years at 5.35%");
  rateTerm.addItem("15 years at 5.50%");
  rateTerm.addItem("30 years at 4.5%");
  
  Container con = getContentPane();
  con.setLayout(flow);
  con.add(princLabel);
  con.add(far1);
  con.add(rateLabel);
  con.add(far2);
  con.add(termLabel);
  con.add(far3);
  con.add(mpayment);
  con.add(result);
  con.add(calc);
  con.add(reset);
  con.add(exit);
  con.add(rateTerm);


calc.addItemListener(this);
reset.addItemListener(this);
exit.addItemListener(this);
rateTerm.addItemListener(this);

} // end constructor


// main method
public static void main(String [] args)
{
  MortgageBox myframe = new MortgageBox();
  myframe.setTitle("Morgage Calculator"); // title of window
  myframe.setDefaultCloseOperation(myframe.EXIT_ON_CLOSE);
  myframe.setSize(500, 300);
  myframe.setVisible(true);
} // end main

public void itemStateChanged(ItemEvent list)
{
  Object source = list.getSource();

  if (source == calc)
  {
    // covert user input to a string
    String num1 = far1.getText();
    String num2 = far2.getText();
    String num3 = far3.getText();
    double principal = Double.parseDouble(num1);
    double rate = Double.parseDouble(num2);
    double term = Double.parseDouble(num3);


    // convert values for monthly formula

    rate = (rate)/100.0;

    rate = (rate)/12.0;

    term = term * 12;


    // calculate monthly payment
    double payment = (principal * rate)/(1.0-Math.pow(rate+1.0, -term));

    // print monthly payment
    String output = "" +payment;
    result.setText(output);

  }
   else if (source == reset)
        {
          far1.setText("");
          far2.setText("");
          far3.setText("");
          result.setText("");
        }
         else
         {
           System.exit(0);
         }

} // end action performed

} // end MortgageBox

